package com.thebrokenrail.freshcoffee.util.limit;

public class LimitUtil {
    private static Limit minimumJavaVersion = null;
    private static Limit maximumJavaVersion = null;

    private static void update() {
        if (minimumJavaVersion == null || maximumJavaVersion == null) {
            minimumJavaVersion = new Limit(true);
            maximumJavaVersion = new Limit(false);
        }
    }

    public static Limit getMinimumJavaVersion() {
        update();
        return minimumJavaVersion;
    }

    public static Limit getMaximumJavaVersion() {
        update();
        return maximumJavaVersion;
    }
}
